<?php

namespace App\Policies;

use App\Models\Rental\Receipt;
use App\Models\User;

class ReceiptPolicy
{
    public function before(User $user, string $ability): ?bool
    {
        if ($user->role === 'admin' || $user->role === 'staff') {
            return true;
        }

        return null;
    }

    public function viewAny(User $user): bool
    {
        return false;
    }

    public function view(User $user, Receipt $receipt): bool
    {
        return false;
    }

    public function create(User $user): bool
    {
        return false;
    }

    public function cancel(User $user, Receipt $receipt): bool
    {
        return false;
    }
}
